Skip to main content

Find Loyalty Plan

API operation: Open the endpoint in Scalar

Use GET /loyalty_plans/{loyalty_plan_id} to retrieve one loyalty plan. The operation is LoyaltyPlan.find.

Unlike the public collection read, the detail operation requires administrator authentication. The response can include type, accumulation, redemption, maximum, expiration, and business-assignment information.

See Loyalty plan model for the resource concepts.

OpenAPI reference​

Operation: GET /loyalty_plans/{loyalty_plan_id}

Path parameters

NameTypeRequiredDescription
loyalty_plan_idintegerYes—

Query parameters

NameTypeRequiredDescription
paramsstringNoComma-separated list of fields. It is intersected with the model’s $fillable; an empty or invalid list returns all fields.

Responses

CodeDescription
200OK
400Bad Request (ErrorResponse)
401Unauthorized
404Not Found
429Too Many Requests (ErrorResponse)
500Internal Server Error (ErrorResponse)
503Service Unavailable (ErrorResponse)
Open this operation in the API reference